stages:
  - imagesUser
  - imagesTest
  - checks

image: registry.gitlab.com/sosy-lab/test-comp/archives-2020/test:latest

variables:
  GIT_DEPTH: "1"

check_2020:
  stage: checks
  script:
  - wget -q https://github.com/sosy-lab/benchexec/archive/master.zip && unzip -q master.zip
  - PYTHONPATH=benchexec-master python3 check.py 2020

check_root:
    stage: checks
    script:
        - "for invalid in $(find . -maxdepth 1 -iname '*zip'); do echo \"ERROR: zip-file $invalid in root directory\" && false; done"

.build-docker:
  image:
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [""]
  script:
    - mkdir -p /root/.docker
    - echo "{\"auths\":{\"$CI_REGISTRY\":{\"username\":\"$CI_REGISTRY_USER\",\"password\":\"$CI_REGISTRY_PASSWORD\"}}}" > /kaniko/.docker/config.json
    - /kaniko/executor --dockerfile $CI_PROJECT_DIR/$DOCKERFILE --destination $CI_REGISTRY_IMAGE/$IMAGE
  only:
    - schedules
    - web

build-docker:user:latest:
  extends: .build-docker
  stage: imagesUser
  variables:
    DOCKERFILE: Dockerfile.user
    IMAGE: user:latest

build-docker:test:latest:
  extends: .build-docker
  stage: imagesTest
  variables:
    DOCKERFILE: Dockerfile.test
    IMAGE: test:latest
  dependencies:
    - build-docker:user:latest



